﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataLayer.Queries
{
    public class LoginQuery : QueryBase
    {
        protected string username;
        protected string password;

        protected Users result;

        public LoginQuery(string username, string password)
            :base()
        {
            this.username = username;
            this.password = password;
        }

        public Users Result
        {
            get { return this.result; }
        }

        protected override bool Execute()
        {
            PMAEntities db = new DataLayer.PMAEntities();

            var entity = (from q in db.Users
                         where q.Username == this.username &&
                         q.Password == this.password
                         select q).SingleOrDefault();

            if( entity != null)
            {
                this.result = entity;
                return true;
            }
            else
            {
                this.result = null;
                this.error = "User ne postoji";
                return false;
            }
        }
    }
}
