﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using BusinessLogic.Logins;

namespace Web.ajax
{
    public partial class Basic : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string msg;

            string action = HttpContext.Current.Request["action"];
            switch(action)
            {
                case "login":
                    msg = this.Login();
                    break;
                default:
                    msg = "Wrong ajax action";
                    break;
            }

            HttpContext.Current.Response.Write(msg);
        }

        private string Login()
        {
            string username = HttpContext.Current.Request["username"];
            string password = HttpContext.Current.Request["password"];

            string error;
            LoginUnit login = LoginUnit.GetLogin(username, password, out error);
            if (login != null)
            {
                Session["login"] = login;
                return "OK:";
            }
            else
            {
                return string.Format("KO:{0}", error);
            }
        }
    }
}