﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using BusinessLogic.Logins;

namespace Web
{
    public partial class LogIn : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.lblMessage.Text = string.Empty;
            if( this.IsPostBack)
            {
                this.DoLogin();
            }
        }

        protected void DoLogin()
        {
            string error;
            LoginUnit login = LoginUnit.GetLogin(this.tbUsername.Text, this.tbPassword.Text, out error);
            if( login != null)
            {
                Session["login"] = login;
                HttpContext.Current.Response.Redirect("Home.aspx");
            }
            else
            {
                this.lblMessage.Text = error;
            }
        }
    }
}